pydo.harness.get_config()
Generated on 16 Oct 2026
from pydo version
v0.44.0
Usage
client.harness.get_config(config_id="019fb39c-14d9-7080-933e-b9b90e25acda")Description
Returns one team-scoped Environment Config including the sanitized environment spec and redacted credential slot metadata. Secret values are never returned.
Parameters
config_idstring requiredExample:
019fb39c-14d9-7080-933e-b9b90e25acdaThe Environment Config UUID.
Response Example
More Information
See /v2/agents/configs/{config_id} in the API reference for additional detail on responses, headers, parameters, and more.